
Katello - Bug #5743

Page remains in "Loading.." state while performing bulk actions on content host

05/15/2014 05:28 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1097124 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1097124

Description of problem:

I was trying to perform bulk actions on selected hosts. So I clicked on 'Bulk Actions' --> Host collections Tab

on clicking Host collections, Page keep on Loading..

And production.log says: ===================

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `block in

create_with_logging_context'

Completed 400 Bad Request in 40ms (Views: 0.3ms | ActiveRecord: 0.3ms)

Processing by Katello::Api::V2::HostCollectionsController#index as JSON

Parameters: {"offset"=>"0", "organization_id"=>"ACME_Corporation", "page"=>"1", "paged"=>"true", "search"=>"",

"sort_by"=>"name", "sort_order"=>"ASC", "api_version"=>"v2"}

Processing by Katello::Api::V2::SystemsController#show as JSON

Parameters: {"fields"=>"full", "api_version"=>"v2", "id"=>"bulk-actions"}

exception when talking to a remote client: Katello::Resources::Candlepin::Consumer: 404 Resource Not Found

{"displayMessage":"Consumer with id bulk-actions could not be found.","requestUuid":"2364709e-1c6d-4a20-b091-ca097b428541"}

(GET /candlepin/consumers/bulk-actions) RestClient::ResourceNotFound: Katello::Resources::Candlepin::Consumer: 404 Resource

Not Found {"displayMessage":"Consumer with id bulk-actions could not be

found.","requestUuid":"2364709e-1c6d-4a20-b091-ca097b428541"} (GET /candlepin/consumers/bulk-actions)

Body: {"displayMessage":"Consumer with id bulk-actions could not be

found.","requestUuid":"2364709e-1c6d-4a20-b091-ca097b428541"}

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/abstract_response.rb:48:in `return!'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:220:in `process_result'

Version-Release number of selected component (if applicable):

Satellite 6 Beta Snap 4

Satellite-6.0.3-RHEL-6-20140508.1

How reproducible:

always

Steps to Reproduce:

1. select two hosts

2. click on 'Bulk Actions' from content host page

3. select Host Collections tab

Actual results:

Page remains in "Loading.." state while performing bulk actions on content host

from host collections tab

Expected results:

Host collection tab should be loaded properly and no error should be thrown in production.log

Additional info:
Associated revisions

Revision 6872973f - 06/04/2014 05:31 PM - Brad Buckingham

fixes #5743/BZ1097124 - content host - host collections bulk action "loading" fix

This small commit fixes an issue where the content host bulk

actions page for host collections would result in invalid requests

sent to the server, causing it to remain in a 'Loading' state.

The issue was due to a name conflict in the url (host-collections)

used by both the single content host as well as bulk actions.

Revision c1d7c424 - 06/04/2014 09:31 PM - Brad Buckingham

fixes #5743/BZ1097124 - content host - host collections bulk action "loading" fix

This small commit fixes an issue where the content host bulk

actions page for host collections would result in invalid requests

sent to the server, causing it to remain in a 'Loading' state.

The issue was due to a name conflict in the url (host-collections)

used by both the single content host as well as bulk actions.

Revision 50c1a1af - 06/05/2014 07:48 AM - Brad Buckingham

Merge pull request #4217 from bbuckingham/issue-5743

fixes #5743/BZ1097124 - content host - host collections bulk action "loading" fix

Revision 90674149 - 06/05/2014 11:48 AM - Brad Buckingham

Merge pull request #4217 from bbuckingham/issue-5743

fixes #5743/BZ1097124 - content host - host collections bulk action "loading" fix

History

#1 - 05/15/2014 05:30 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Triaged set to No

#2 - 06/04/2014 09:36 PM - Brad Buckingham

- Target version set to 45

#3 - 06/05/2014 03:17 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 06/05/2014 11:52 AM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c1d7c424fdd4b434d711cc613b2bdee07b1615ba.

#5 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13
